# Change Log

All notable changes to this project will be documented in this file.
See [Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [4.6.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.6.0-next.3...gatsby-source-drupal@4.6.0) (2021-05-25)

**Note:** Version bump only for package gatsby-source-drupal

# [4.6.0-next.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.6.0-next.2...gatsby-source-drupal@4.6.0-next.3) (2021-05-19)

**Note:** Version bump only for package gatsby-source-drupal

# [4.6.0-next.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.6.0-next.1...gatsby-source-drupal@4.6.0-next.2) (2021-05-19)

### Features

- **gatsby-source-drupal:** Add option validation ([#31468](https://github.com/gatsbyjs/gatsby/issues/31468)) ([089c5c5](https://github.com/gatsbyjs/gatsby/commit/089c5c5cd159d63808280b9e976952c920b5c21e))

# [4.6.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.6.0-next.0...gatsby-source-drupal@4.6.0-next.1) (2021-05-18)

### Features

- **gatsby-source-drupal:** Add toggleable multilingual support by prefixing nodes with their langcode ([#26720](https://github.com/gatsbyjs/gatsby/issues/26720)) ([408ba7b](https://github.com/gatsbyjs/gatsby/commit/408ba7b721d7e92dfec3a77537c60bab4a09294b))

# [4.6.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.5.0-next.1...gatsby-source-drupal@4.6.0-next.0) (2021-05-06)

**Note:** Version bump only for package gatsby-source-drupal

# [4.5.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.5.0-next.0...gatsby-source-drupal@4.5.0-next.1) (2021-04-29)

### Bug Fixes

- **gatsby-source-drupal:** remove computed fields before running createNode on existing node ([#28682](https://github.com/gatsbyjs/gatsby/issues/28682)) ([76f84aa](https://github.com/gatsbyjs/gatsby/commit/76f84aa726f961783510715f714eb1c348ebad11))

# [4.5.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.4.0-next.3...gatsby-source-drupal@4.5.0-next.0) (2021-04-23)

**Note:** Version bump only for package gatsby-source-drupal

# [4.4.0-next.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.4.0-next.2...gatsby-source-drupal@4.4.0-next.3) (2021-04-20)

**Note:** Version bump only for package gatsby-source-drupal

# [4.4.0-next.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.4.0-next.1...gatsby-source-drupal@4.4.0-next.2) (2021-04-20)

**Note:** Version bump only for package gatsby-source-drupal

# [4.4.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.4.0-next.0...gatsby-source-drupal@4.4.0-next.1) (2021-04-16)

**Note:** Version bump only for package gatsby-source-drupal

# [4.4.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.3.0-next.1...gatsby-source-drupal@4.4.0-next.0) (2021-04-09)

**Note:** Version bump only for package gatsby-source-drupal

# [4.3.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.3.0-next.0...gatsby-source-drupal@4.3.0-next.1) (2021-04-07)

**Note:** Version bump only for package gatsby-source-drupal

# [4.3.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.2.0-next.1...gatsby-source-drupal@4.3.0-next.0) (2021-03-25)

### Bug Fixes

- **drupal:** Support forward revisions for Drupal paragraphs ([#29289](https://github.com/gatsbyjs/gatsby/issues/29289)) ([e662b04](https://github.com/gatsbyjs/gatsby/commit/e662b04605d1e1862b90b7fcc6c449f705c9e8fb))

# [4.2.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.2.0-next.0...gatsby-source-drupal@4.2.0-next.1) (2021-03-19)

### Bug Fixes

- **deps:** update minor and patch for gatsby-source-drupal ([#29285](https://github.com/gatsbyjs/gatsby/issues/29285)) ([9a76909](https://github.com/gatsbyjs/gatsby/commit/9a7690990c1bd072860529054f793f8839d79f6b))

# [4.2.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.1.0-next.2...gatsby-source-drupal@4.2.0-next.0) (2021-03-11)

**Note:** Version bump only for package gatsby-source-drupal

# [4.1.0-next.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.1.0-next.1...gatsby-source-drupal@4.1.0-next.2) (2021-03-10)

### Bug Fixes

- **deps:** update lodash monorepo to ^4.17.21 ([#29382](https://github.com/gatsbyjs/gatsby/issues/29382)) ([9fd287b](https://github.com/gatsbyjs/gatsby/commit/9fd287ba89eacd55652d468b18f6e1526230e7c6))

# [4.1.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.1.0-next.0...gatsby-source-drupal@4.1.0-next.1) (2021-02-26)

**Note:** Version bump only for package gatsby-source-drupal

# [4.1.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.0.0-next.4...gatsby-source-drupal@4.1.0-next.0) (2021-02-26)

**Note:** Version bump only for package gatsby-source-drupal

# [4.0.0-next.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.0.0-next.3...gatsby-source-drupal@4.0.0-next.4) (2021-02-25)

**Note:** Version bump only for package gatsby-source-drupal

# [4.0.0-next.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.0.0-next.2...gatsby-source-drupal@4.0.0-next.3) (2021-02-22)

**Note:** Version bump only for package gatsby-source-drupal

# [4.0.0-next.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.0.0-next.1...gatsby-source-drupal@4.0.0-next.2) (2021-02-15)

**Note:** Version bump only for package gatsby-source-drupal

# [4.0.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@4.0.0-next.0...gatsby-source-drupal@4.0.0-next.1) (2021-02-11)

### Features

- **gatsby:** Remove deleteNode with ID arg ([#29205](https://github.com/gatsbyjs/gatsby/issues/29205)) ([01b6123](https://github.com/gatsbyjs/gatsby/commit/01b6123d7b1fca922a4fe450651d39e6de4b96a1))
- **gatsby:** Remove old touchNode signature ([#29245](https://github.com/gatsbyjs/gatsby/issues/29245)) ([0927cb0](https://github.com/gatsbyjs/gatsby/commit/0927cb007d0774bed8cf5ead3130ff6b7c3393b7))

# [4.0.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.14.0-next.0...gatsby-source-drupal@4.0.0-next.0) (2021-02-05)

**Note:** Version bump only for package gatsby-source-drupal

# [3.14.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.13.0-next.0...gatsby-source-drupal@3.14.0-next.0) (2021-01-28)

**Note:** Version bump only for package gatsby-source-drupal

# [3.13.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.12.0-next.1...gatsby-source-drupal@3.13.0-next.0) (2021-01-18)

### Bug Fixes

- **security:** update vulnerable packages, include React 17 in peerDeps ([#28545](https://github.com/gatsbyjs/gatsby/issues/28545)) ([18b5f30](https://github.com/gatsbyjs/gatsby/commit/18b5f30e367895aa5f3af46e4989b347912a0f35))

# [3.12.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.12.0-next.0...gatsby-source-drupal@3.12.0-next.1) (2021-01-12)

**Note:** Version bump only for package gatsby-source-drupal

# [3.12.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.11.0-next.2...gatsby-source-drupal@3.12.0-next.0) (2020-12-29)

**Note:** Version bump only for package gatsby-source-drupal

# [3.11.0-next.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.11.0-next.1...gatsby-source-drupal@3.11.0-next.2) (2020-12-29)

**Note:** Version bump only for package gatsby-source-drupal

# [3.11.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.11.0-next.0...gatsby-source-drupal@3.11.0-next.1) (2020-12-17)

**Note:** Version bump only for package gatsby-source-drupal

# [3.11.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.10.0-next.0...gatsby-source-drupal@3.11.0-next.0) (2020-12-10)

### Bug Fixes

- **gatsby-source-drupal:** Do not swallow errors ([#28549](https://github.com/gatsbyjs/gatsby/issues/28549)) ([c3dfb09](https://github.com/gatsbyjs/gatsby/commit/c3dfb094d458dbd0e18fabf2b62a2c0feefa7f80))

# [3.10.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.9.0-next.2...gatsby-source-drupal@3.10.0-next.0) (2020-11-26)

**Note:** Version bump only for package gatsby-source-drupal

# [3.9.0-next.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.9.0-next.1...gatsby-source-drupal@3.9.0-next.2) (2020-11-22)

**Note:** Version bump only for package gatsby-source-drupal

# [3.9.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.9.0-next.0...gatsby-source-drupal@3.9.0-next.1) (2020-11-18)

**Note:** Version bump only for package gatsby-source-drupal

# [3.9.0-next.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.8.0-next.0...gatsby-source-drupal@3.9.0-next.0) (2020-11-18)

**Note:** Version bump only for package gatsby-source-drupal

# [3.7.0-next.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.7.0-next.1...gatsby-source-drupal@3.7.0-next.2) (2020-11-10)

**Note:** Version bump only for package gatsby-source-drupal

# [3.7.0-next.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.7.0-next.0...gatsby-source-drupal@3.7.0-next.1) (2020-11-09)

**Note:** Version bump only for package gatsby-source-drupal

# [3.6.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.40...gatsby-source-drupal@3.6.0) (2020-11-02)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.40](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.39...gatsby-source-drupal@3.5.40) (2020-10-27)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.39](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.38...gatsby-source-drupal@3.5.39) (2020-10-26)

### Bug Fixes

- **deps:** update minor and patch for gatsby-source-drupal ([#27651](https://github.com/gatsbyjs/gatsby/issues/27651)) ([b3ed7bb](https://github.com/gatsbyjs/gatsby/commit/b3ed7bba2b65dbed0211f054af13dc8a2446dc30))

## [3.5.38](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.37...gatsby-source-drupal@3.5.38) (2020-10-16)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.37](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.36...gatsby-source-drupal@3.5.37) (2020-10-08)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.36](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.35...gatsby-source-drupal@3.5.36) (2020-10-06)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.35](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.34...gatsby-source-drupal@3.5.35) (2020-10-01)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.34](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.33...gatsby-source-drupal@3.5.34) (2020-09-28)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.33](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.32...gatsby-source-drupal@3.5.33) (2020-09-15)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.32](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.31...gatsby-source-drupal@3.5.32) (2020-09-09)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.31](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.30...gatsby-source-drupal@3.5.31) (2020-09-07)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.30](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.29...gatsby-source-drupal@3.5.30) (2020-08-28)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.29](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.28...gatsby-source-drupal@3.5.29) (2020-08-26)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.28](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.27...gatsby-source-drupal@3.5.28) (2020-08-24)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.27](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.26...gatsby-source-drupal@3.5.27) (2020-08-05)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.26](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.25...gatsby-source-drupal@3.5.26) (2020-07-24)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.25](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.24...gatsby-source-drupal@3.5.25) (2020-07-22)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.24](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.23...gatsby-source-drupal@3.5.24) (2020-07-21)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.23](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.22...gatsby-source-drupal@3.5.23) (2020-07-17)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.22](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.21...gatsby-source-drupal@3.5.22) (2020-07-15)

### Features

- **gatsby-source-drupal:** Add Drupal Fastbuilds ([#25428](https://github.com/gatsbyjs/gatsby/issues/25428)) ([64685c3](https://github.com/gatsbyjs/gatsby/commit/64685c3))

## [3.5.21](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.20...gatsby-source-drupal@3.5.21) (2020-07-09)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.20](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.19...gatsby-source-drupal@3.5.20) (2020-07-02)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.19](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.18...gatsby-source-drupal@3.5.19) (2020-07-02)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.18](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.17...gatsby-source-drupal@3.5.18) (2020-07-02)

### Bug Fixes

- **gatsby-source-drupal:** end activities if errors are thrown ([#25447](https://github.com/gatsbyjs/gatsby/issues/25447)) ([fae19ac](https://github.com/gatsbyjs/gatsby/commit/fae19ac))

## [3.5.17](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.16...gatsby-source-drupal@3.5.17) (2020-07-01)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.16](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.15...gatsby-source-drupal@3.5.16) (2020-07-01)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.15](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.14...gatsby-source-drupal@3.5.15) (2020-06-24)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.14](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.13...gatsby-source-drupal@3.5.14) (2020-06-22)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.13](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.12...gatsby-source-drupal@3.5.13) (2020-06-19)

### Features

- **gatsby-source-drupal:** Add skipFileDownloads config option ([#25029](https://github.com/gatsbyjs/gatsby/issues/25029)) ([39d4cec](https://github.com/gatsbyjs/gatsby/commit/39d4cec))

## [3.5.12](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.11...gatsby-source-drupal@3.5.12) (2020-06-09)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.11](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.10...gatsby-source-drupal@3.5.11) (2020-06-02)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.9...gatsby-source-drupal@3.5.10) (2020-06-02)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.8...gatsby-source-drupal@3.5.9) (2020-05-22)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.7...gatsby-source-drupal@3.5.8) (2020-05-21)

### Bug Fixes

- **gatsby-source-drupal:** added check for node.uri.value prefix ([#23672](https://github.com/gatsbyjs/gatsby/issues/23672)) ([5c8dec1](https://github.com/gatsbyjs/gatsby/commit/5c8dec1))

## [3.5.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.6...gatsby-source-drupal@3.5.7) (2020-05-20)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.5...gatsby-source-drupal@3.5.6) (2020-05-20)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.4...gatsby-source-drupal@3.5.5) (2020-05-19)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.3...gatsby-source-drupal@3.5.4) (2020-05-18)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.2...gatsby-source-drupal@3.5.3) (2020-05-13)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.1...gatsby-source-drupal@3.5.2) (2020-05-13)

**Note:** Version bump only for package gatsby-source-drupal

## [3.5.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.5.0...gatsby-source-drupal@3.5.1) (2020-05-05)

### Bug Fixes

- **gatsby-source-drupal:** Add webhookBody support to gatsby-source-drupal for inc builds ([#23753](https://github.com/gatsbyjs/gatsby/issues/23753)) ([c244cd3](https://github.com/gatsbyjs/gatsby/commit/c244cd3))

# [3.5.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.4.6...gatsby-source-drupal@3.5.0) (2020-04-27)

**Note:** Version bump only for package gatsby-source-drupal

## [3.4.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.4.5...gatsby-source-drupal@3.4.6) (2020-04-24)

**Note:** Version bump only for package gatsby-source-drupal

## [3.4.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.4.4...gatsby-source-drupal@3.4.5) (2020-04-17)

### Bug Fixes

- wrap ignore pattern in quotes ([#23176](https://github.com/gatsbyjs/gatsby/issues/23176)) ([7563db6](https://github.com/gatsbyjs/gatsby/commit/7563db6))

## [3.4.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.4.3...gatsby-source-drupal@3.4.4) (2020-04-16)

**Note:** Version bump only for package gatsby-source-drupal

## [3.4.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.4.2...gatsby-source-drupal@3.4.3) (2020-04-10)

### Bug Fixes

- **gatsby-source-drupal:** Verify nodes exist before looping through them ([#22898](https://github.com/gatsbyjs/gatsby/issues/22898)) ([cdbe734](https://github.com/gatsbyjs/gatsby/commit/cdbe734))

## [3.4.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.4.1...gatsby-source-drupal@3.4.2) (2020-03-23)

**Note:** Version bump only for package gatsby-source-drupal

## [3.4.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.4.0...gatsby-source-drupal@3.4.1) (2020-03-20)

**Note:** Version bump only for package gatsby-source-drupal

# [3.4.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.30...gatsby-source-drupal@3.4.0) (2020-03-20)

### Features

- **gatsby:** bump node min version to 10.13.0 ([#22400](https://github.com/gatsbyjs/gatsby/issues/22400)) ([83d681a](https://github.com/gatsbyjs/gatsby/commit/83d681a))

## [3.3.30](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.29...gatsby-source-drupal@3.3.30) (2020-03-18)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.29](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.28...gatsby-source-drupal@3.3.29) (2020-03-18)

### Bug Fixes

- update dependency axios to ^0.19.2 ([#22317](https://github.com/gatsbyjs/gatsby/issues/22317)) ([91e780f](https://github.com/gatsbyjs/gatsby/commit/91e780f))

## [3.3.28](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.27...gatsby-source-drupal@3.3.28) (2020-03-16)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.27](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.26...gatsby-source-drupal@3.3.27) (2020-03-13)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.26](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.25...gatsby-source-drupal@3.3.26) (2020-03-13)

### Bug Fixes

- **gatsby-source-drupal:** Add safety check for existence of datum. ([#22213](https://github.com/gatsbyjs/gatsby/issues/22213)) ([71b5d1e](https://github.com/gatsbyjs/gatsby/commit/71b5d1e))

## [3.3.25](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.24...gatsby-source-drupal@3.3.25) (2020-03-12)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.24](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.23...gatsby-source-drupal@3.3.24) (2020-03-11)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.23](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.22...gatsby-source-drupal@3.3.23) (2020-03-10)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.22](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.21...gatsby-source-drupal@3.3.22) (2020-03-09)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.21](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.20...gatsby-source-drupal@3.3.21) (2020-03-06)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.20](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.19...gatsby-source-drupal@3.3.20) (2020-03-06)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.19](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.18...gatsby-source-drupal@3.3.19) (2020-02-14)

### Features

- **gatsby-source-drupal:** Add Drupal JSON:API Includes support ([#21380](https://github.com/gatsbyjs/gatsby/issues/21380)) ([ba3502e](https://github.com/gatsbyjs/gatsby/commit/ba3502e))

## [3.3.18](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.17...gatsby-source-drupal@3.3.18) (2020-02-01)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.17](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.16...gatsby-source-drupal@3.3.17) (2020-01-29)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.16](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.15...gatsby-source-drupal@3.3.16) (2020-01-09)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.15](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.13...gatsby-source-drupal@3.3.15) (2020-01-09)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.14](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.13...gatsby-source-drupal@3.3.14) (2020-01-09)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.13](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.12...gatsby-source-drupal@3.3.13) (2019-12-20)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.12](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.10...gatsby-source-drupal@3.3.12) (2019-12-10)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.11](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.10...gatsby-source-drupal@3.3.11) (2019-12-10)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.9...gatsby-source-drupal@3.3.10) (2019-12-05)

### Bug Fixes

- **gatsby-source-drupal:** allow specifying disallowed link types ([#19930](https://github.com/gatsbyjs/gatsby/issues/19930)) ([238b9fc](https://github.com/gatsbyjs/gatsby/commit/238b9fc))
- **gatsby-source-drupal:** skip jsonapi_schema endpoint ([#19879](https://github.com/gatsbyjs/gatsby/issues/19879)) ([61a0280](https://github.com/gatsbyjs/gatsby/commit/61a0280)), closes [#19867](https://github.com/gatsbyjs/gatsby/issues/19867)

## [3.3.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.8...gatsby-source-drupal@3.3.9) (2019-12-02)

### Bug Fixes

- **gatsby-source-drupal:** sanity check before accessing field ([#19867](https://github.com/gatsbyjs/gatsby/issues/19867)) ([8a2aeb3](https://github.com/gatsbyjs/gatsby/commit/8a2aeb3))

## [3.3.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.7...gatsby-source-drupal@3.3.8) (2019-11-26)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.6...gatsby-source-drupal@3.3.7) (2019-11-18)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.5...gatsby-source-drupal@3.3.6) (2019-11-15)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.4...gatsby-source-drupal@3.3.5) (2019-11-13)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.3...gatsby-source-drupal@3.3.4) (2019-11-10)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.2...gatsby-source-drupal@3.3.3) (2019-10-29)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.1...gatsby-source-drupal@3.3.2) (2019-10-28)

**Note:** Version bump only for package gatsby-source-drupal

## [3.3.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.3.0...gatsby-source-drupal@3.3.1) (2019-10-28)

### Bug Fixes

- update minor updates in packages ([#18875](https://github.com/gatsbyjs/gatsby/issues/18875)) ([b692879](https://github.com/gatsbyjs/gatsby/commit/b692879))

# [3.3.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.38...gatsby-source-drupal@3.3.0) (2019-10-23)

### Features

- **gatsby-source-drupal:** secrets and delete functionality ([#18345](https://github.com/gatsbyjs/gatsby/issues/18345)) ([c1734b6](https://github.com/gatsbyjs/gatsby/commit/c1734b6))

## [3.2.38](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.37...gatsby-source-drupal@3.2.38) (2019-10-14)

### Bug Fixes

- **gatsby-source-drupal:** add error handling for empty body ([#18568](https://github.com/gatsbyjs/gatsby/issues/18568)) ([dc6642f](https://github.com/gatsbyjs/gatsby/commit/dc6642f))

## [3.2.37](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.36...gatsby-source-drupal@3.2.37) (2019-10-14)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.36](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.35...gatsby-source-drupal@3.2.36) (2019-10-09)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.35](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.34...gatsby-source-drupal@3.2.35) (2019-10-08)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.34](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.33...gatsby-source-drupal@3.2.34) (2019-10-04)

### Bug Fixes

- update dependency bluebird to ^3.7.0 ([#18029](https://github.com/gatsbyjs/gatsby/issues/18029)) ([bd235a8](https://github.com/gatsbyjs/gatsby/commit/bd235a8))

## [3.2.33](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.31...gatsby-source-drupal@3.2.33) (2019-09-26)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.32](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.31...gatsby-source-drupal@3.2.32) (2019-09-26)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.31](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.30...gatsby-source-drupal@3.2.31) (2019-09-20)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.30](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.29...gatsby-source-drupal@3.2.30) (2019-09-20)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.29](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.28...gatsby-source-drupal@3.2.29) (2019-09-18)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.28](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.27...gatsby-source-drupal@3.2.28) (2019-09-18)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.27](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.26...gatsby-source-drupal@3.2.27) (2019-09-09)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.26](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.25...gatsby-source-drupal@3.2.26) (2019-09-04)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.25](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.24...gatsby-source-drupal@3.2.25) (2019-09-04)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.24](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.23...gatsby-source-drupal@3.2.24) (2019-09-01)

### Bug Fixes

- update minor updates in packages except react, babel and eslint ([#17254](https://github.com/gatsbyjs/gatsby/issues/17254)) ([252d867](https://github.com/gatsbyjs/gatsby/commit/252d867))

## [3.2.23](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.22...gatsby-source-drupal@3.2.23) (2019-08-24)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.22](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.21...gatsby-source-drupal@3.2.22) (2019-08-24)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.21](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.20...gatsby-source-drupal@3.2.21) (2019-08-23)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.20](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.19...gatsby-source-drupal@3.2.20) (2019-08-23)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.19](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.18...gatsby-source-drupal@3.2.19) (2019-08-22)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.18](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.17...gatsby-source-drupal@3.2.18) (2019-08-22)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.17](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.16...gatsby-source-drupal@3.2.17) (2019-08-21)

### Bug Fixes

- update dependency bluebird to ^3.5.5 ([#16825](https://github.com/gatsbyjs/gatsby/issues/16825)) ([ec0be83](https://github.com/gatsbyjs/gatsby/commit/ec0be83))

## [3.2.16](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.15...gatsby-source-drupal@3.2.16) (2019-08-21)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.15](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.14...gatsby-source-drupal@3.2.15) (2019-08-20)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.14](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.13...gatsby-source-drupal@3.2.14) (2019-08-12)

### Bug Fixes

- **gatsby-source-drupal:** preserve drupal parent as drupal_pa… ([#15075](https://github.com/gatsbyjs/gatsby/issues/15075)) ([8e5fc2f](https://github.com/gatsbyjs/gatsby/commit/8e5fc2f))

## [3.2.13](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.12...gatsby-source-drupal@3.2.13) (2019-08-06)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.12](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.11...gatsby-source-drupal@3.2.12) (2019-08-01)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.11](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.10...gatsby-source-drupal@3.2.11) (2019-07-30)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.9...gatsby-source-drupal@3.2.10) (2019-07-30)

### Bug Fixes

- **gatsby-source-drupal:** don't show "file download" activity if there are no files to download ([#16157](https://github.com/gatsbyjs/gatsby/issues/16157)) ([a488588](https://github.com/gatsbyjs/gatsby/commit/a488588))

## [3.2.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.8...gatsby-source-drupal@3.2.9) (2019-07-29)

### Bug Fixes

- **gatsby-source-drupal:** add check for empty filenodes ([#16160](https://github.com/gatsbyjs/gatsby/issues/16160)) ([3ebccb5](https://github.com/gatsbyjs/gatsby/commit/3ebccb5)), closes [#15761](https://github.com/gatsbyjs/gatsby/issues/15761)

## [3.2.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.7...gatsby-source-drupal@3.2.8) (2019-07-22)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.6...gatsby-source-drupal@3.2.7) (2019-07-13)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.5...gatsby-source-drupal@3.2.6) (2019-07-12)

### Bug Fixes

- correct links in package changelogs ([#15630](https://github.com/gatsbyjs/gatsby/issues/15630)) ([d07b9dd](https://github.com/gatsbyjs/gatsby/commit/d07b9dd))

## [3.2.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.4...gatsby-source-drupal@3.2.5) (2019-07-11)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.3...gatsby-source-drupal@3.2.4) (2019-07-10)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.2...gatsby-source-drupal@3.2.3) (2019-07-08)

### Features

- **gatsby-source-drupal:** added preview feature ([#14630](https://github.com/gatsbyjs/gatsby/issues/14630)) ([a045a32](https://github.com/gatsbyjs/gatsby/commit/a045a32))

## [3.2.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.1...gatsby-source-drupal@3.2.2) (2019-07-02)

**Note:** Version bump only for package gatsby-source-drupal

## [3.2.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.2.0...gatsby-source-drupal@3.2.1) (2019-06-25)

**Note:** Version bump only for package gatsby-source-drupal

# [3.2.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.16...gatsby-source-drupal@3.2.0) (2019-06-20)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.16](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.13...gatsby-source-drupal@3.1.16) (2019-06-19)

### Bug Fixes

- fix gatsby-cli dep in source-filesystem & plugin-sharp ([#14881](https://github.com/gatsbyjs/gatsby/issues/14881)) ([2594623](https://github.com/gatsbyjs/gatsby/commit/2594623))

## [3.1.15](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.14...gatsby-source-drupal@3.1.15) (2019-06-19)

### Bug Fixes

- fix gatsby-cli dep in source-filesystem & plugin-sharp ([#14881](https://github.com/gatsbyjs/gatsby/issues/14881)) ([2594623](https://github.com/gatsbyjs/gatsby/commit/2594623))

## [3.1.14](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.13...gatsby-source-drupal@3.1.14) (2019-06-18)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.13](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.12...gatsby-source-drupal@3.1.13) (2019-06-18)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.12](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.11...gatsby-source-drupal@3.1.12) (2019-06-14)

### Features

- **gatsby-source-drupal:** Copy relationship meta (if any) to a node's field ([#14562](https://github.com/gatsbyjs/gatsby/issues/14562)) ([83e2ee3](https://github.com/gatsbyjs/gatsby/commit/83e2ee3))

## [3.1.11](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.10...gatsby-source-drupal@3.1.11) (2019-06-10)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.9...gatsby-source-drupal@3.1.10) (2019-05-31)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.8...gatsby-source-drupal@3.1.9) (2019-05-20)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.7...gatsby-source-drupal@3.1.8) (2019-05-16)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.6...gatsby-source-drupal@3.1.7) (2019-05-15)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.5...gatsby-source-drupal@3.1.6) (2019-05-14)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.4...gatsby-source-drupal@3.1.5) (2019-05-14)

### Bug Fixes

- **gatsby-source-drupal:** limit concurrentFileRequests while downloading remote images ([#13943](https://github.com/gatsbyjs/gatsby/issues/13943)) ([1f0e0f4](https://github.com/gatsbyjs/gatsby/commit/1f0e0f4))

## [3.1.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.3...gatsby-source-drupal@3.1.4) (2019-04-30)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.2...gatsby-source-drupal@3.1.3) (2019-04-24)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.1...gatsby-source-drupal@3.1.2) (2019-04-23)

**Note:** Version bump only for package gatsby-source-drupal

## [3.1.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.1.0...gatsby-source-drupal@3.1.1) (2019-04-23)

**Note:** Version bump only for package gatsby-source-drupal

# [3.1.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.34...gatsby-source-drupal@3.1.0) (2019-04-09)

### Features

- **gatsby-source-drupal:** added Request Headers and GET Request Params options ([#12180](https://github.com/gatsbyjs/gatsby/issues/12180)) ([239101e](https://github.com/gatsbyjs/gatsby/commit/239101e))

## [3.0.34](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.33...gatsby-source-drupal@3.0.34) (2019-04-08)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.33](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.32...gatsby-source-drupal@3.0.33) (2019-04-02)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.32](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.31...gatsby-source-drupal@3.0.32) (2019-03-22)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.31](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.30...gatsby-source-drupal@3.0.31) (2019-03-15)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.30](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.29...gatsby-source-drupal@3.0.30) (2019-03-14)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.29](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.28...gatsby-source-drupal@3.0.29) (2019-03-13)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.28](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.27...gatsby-source-drupal@3.0.28) (2019-03-12)

### Features

- **gatsby-source-drupal:** Add ability to use JSON API filters when querying. ([#12508](https://github.com/gatsbyjs/gatsby/issues/12508)) ([a226769](https://github.com/gatsbyjs/gatsby/commit/a226769))

## [3.0.27](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.26...gatsby-source-drupal@3.0.27) (2019-03-11)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.26](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.25...gatsby-source-drupal@3.0.26) (2019-02-25)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.25](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.24...gatsby-source-drupal@3.0.25) (2019-02-22)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.24](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.23...gatsby-source-drupal@3.0.24) (2019-02-20)

### Bug Fixes

- **gatsby-source-filesystem:** Let plugins set parent when creating File nodes with createRemoteFileNode ([#11795](https://github.com/gatsbyjs/gatsby/issues/11795)) ([5a3c1fc](https://github.com/gatsbyjs/gatsby/commit/5a3c1fc))

## [3.0.23](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.22...gatsby-source-drupal@3.0.23) (2019-02-01)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.22](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.21...gatsby-source-drupal@3.0.22) (2019-01-31)

**Note:** Version bump only for package gatsby-source-drupal

## [3.0.21](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.20...gatsby-source-drupal@3.0.21) (2019-01-28)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.20"></a>

## [3.0.20](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.19...gatsby-source-drupal@3.0.20) (2019-01-23)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.19"></a>

## [3.0.19](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.18...gatsby-source-drupal@3.0.19) (2019-01-23)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.18"></a>

## [3.0.18](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.16...gatsby-source-drupal@3.0.18) (2019-01-11)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.16"></a>

## [3.0.16](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.15...gatsby-source-drupal@3.0.16) (2019-01-11)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.15"></a>

## [3.0.15](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.14...gatsby-source-drupal@3.0.15) (2019-01-08)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.14"></a>

## [3.0.14](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.13...gatsby-source-drupal@3.0.14) (2018-12-11)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.13"></a>

## [3.0.13](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.12...gatsby-source-drupal@3.0.13) (2018-12-06)

### Bug Fixes

- **gatsby-source-drupal:** use basic auth credentials to fetch remote files as well. ([#10302](https://github.com/gatsbyjs/gatsby/issues/10302)) ([747943c](https://github.com/gatsbyjs/gatsby/commit/747943c))

<a name="3.0.12"></a>

## [3.0.12](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.11...gatsby-source-drupal@3.0.12) (2018-11-29)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.11"></a>

## [3.0.11](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.10...gatsby-source-drupal@3.0.11) (2018-11-26)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.10"></a>

## [3.0.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.9...gatsby-source-drupal@3.0.10) (2018-11-16)

### Features

- **gatsby-source-drupal:** add basicauth support ([#9848](https://github.com/gatsbyjs/gatsby/issues/9848)) ([e208134](https://github.com/gatsbyjs/gatsby/commit/e208134))

<a name="3.0.9"></a>

## [3.0.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.8...gatsby-source-drupal@3.0.9) (2018-11-14)

### Features

- **gatsby-source-drupal:** add support for Drupal JSON API 2.x File URI format ([#9835](https://github.com/gatsbyjs/gatsby/issues/9835)) ([e86d141](https://github.com/gatsbyjs/gatsby/commit/e86d141))

<a name="3.0.8"></a>

## [3.0.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.7...gatsby-source-drupal@3.0.8) (2018-11-08)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.7"></a>

## [3.0.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.6...gatsby-source-drupal@3.0.7) (2018-11-01)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.6"></a>

## [3.0.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.5...gatsby-source-drupal@3.0.6) (2018-10-29)

### Bug Fixes

- **gatsby-source-drupal:** handle links outputted as objects in REST responses ([#9356](https://github.com/gatsbyjs/gatsby/issues/9356)) ([2add021](https://github.com/gatsbyjs/gatsby/commit/2add021))

<a name="3.0.5"></a>

## [3.0.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.4...gatsby-source-drupal@3.0.5) (2018-10-19)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.4"></a>

## [3.0.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.3...gatsby-source-drupal@3.0.4) (2018-10-15)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.3"></a>

## [3.0.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.2...gatsby-source-drupal@3.0.3) (2018-10-09)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.2"></a>

## [3.0.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@3.0.1...gatsby-source-drupal@3.0.2) (2018-10-05)

**Note:** Version bump only for package gatsby-source-drupal

<a name="3.0.1"></a>

## [3.0.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0...gatsby-source-drupal@3.0.1) (2018-09-26)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0"></a>

# [2.2.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-rc.6...gatsby-source-drupal@2.2.0) (2018-09-17)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-rc.6"></a>

# [2.2.0-rc.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-rc.5...gatsby-source-drupal@2.2.0-rc.6) (2018-09-11)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-rc.5"></a>

# [2.2.0-rc.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-rc.4...gatsby-source-drupal@2.2.0-rc.5) (2018-09-11)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-rc.4"></a>

# [2.2.0-rc.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-rc.3...gatsby-source-drupal@2.2.0-rc.4) (2018-09-11)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-rc.3"></a>

# [2.2.0-rc.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-rc.2...gatsby-source-drupal@2.2.0-rc.3) (2018-09-11)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-rc.2"></a>

# [2.2.0-rc.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-rc.1...gatsby-source-drupal@2.2.0-rc.2) (2018-09-07)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-rc.1"></a>

# [2.2.0-rc.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-rc.0...gatsby-source-drupal@2.2.0-rc.1) (2018-08-29)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-rc.0"></a>

# [2.2.0-rc.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.14...gatsby-source-drupal@2.2.0-rc.0) (2018-08-21)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.14"></a>

# [2.2.0-beta.14](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.13...gatsby-source-drupal@2.2.0-beta.14) (2018-08-21)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.13"></a>

# [2.2.0-beta.13](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.12...gatsby-source-drupal@2.2.0-beta.13) (2018-08-15)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.12"></a>

# [2.2.0-beta.12](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.11...gatsby-source-drupal@2.2.0-beta.12) (2018-07-24)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.11"></a>

# [2.2.0-beta.11](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.10...gatsby-source-drupal@2.2.0-beta.11) (2018-07-21)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.10"></a>

# [2.2.0-beta.10](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.9...gatsby-source-drupal@2.2.0-beta.10) (2018-07-20)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.9"></a>

# [2.2.0-beta.9](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.8...gatsby-source-drupal@2.2.0-beta.9) (2018-07-19)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.8"></a>

# [2.2.0-beta.8](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.7...gatsby-source-drupal@2.2.0-beta.8) (2018-07-19)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.7"></a>

# [2.2.0-beta.7](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.6...gatsby-source-drupal@2.2.0-beta.7) (2018-07-18)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.6"></a>

# [2.2.0-beta.6](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.5...gatsby-source-drupal@2.2.0-beta.6) (2018-07-14)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.5"></a>

# [2.2.0-beta.5](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.4...gatsby-source-drupal@2.2.0-beta.5) (2018-07-13)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.4"></a>

# [2.2.0-beta.4](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.3...gatsby-source-drupal@2.2.0-beta.4) (2018-06-21)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.3"></a>

# [2.2.0-beta.3](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.2...gatsby-source-drupal@2.2.0-beta.3) (2018-06-20)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.2"></a>

# [2.2.0-beta.2](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.1...gatsby-source-drupal@2.2.0-beta.2) (2018-06-20)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.1"></a>

# [2.2.0-beta.1](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.2.0-beta.0...gatsby-source-drupal@2.2.0-beta.1) (2018-06-17)

**Note:** Version bump only for package gatsby-source-drupal

<a name="2.2.0-beta.0"></a>

# [2.2.0-beta.0](https://github.com/gatsbyjs/gatsby/compare/gatsby-source-drupal@2.0.41...gatsby-source-drupal@2.2.0-beta.0) (2018-06-17)

**Note:** Version bump only for package gatsby-source-drupal
